Subject: Faces problem with Shape extension

From: [email-masked] (John S Cooper - Sun UK - Tech Support)
Date: Fri, 2 Dec 1994 16:50:43 GMT

I'm using xfaces3.3 and am having a couple of problems with faces
displayed using shaped xpm images.

Firstly, the shaped xpm image seems to have extraneous white space on
the left hand side.  It looks like the shape mask is off by a few
pixels.  I know the xpm file is OK, because it shows up perfectly in
`sxpm'.

Secondly, the count and subject text are getting truncated (overwritten
by the image).

I'd like the image to appear correctly, and really I'd like to have a
longer subject line.  Am I proceeding the right way?

I've appended a uuencoded, compressed xwd image that illustrates the
problem, the xpm file itself, and my .Xdefaults settings pertaining to
xfaces:

Thanks,    --- John.

Here's my .Xdefaults settings:

XFaces.allowShellResize: True
XFaces.spoolDir: /var/mail
XFaces.imagePath: /home/jsc/xfaces-3.3/images
XFaces.facedbPath: /home/jsc/xfaces-3.3/facedir/
XFaces.update: 20
XFaces.xbm.background: CadetBlue
XFaces.frame.tileWidth: 84
XFaces.imageSearch:    \
               beforeImage\n\
               resource\n\
	       facedb \n\
               afterImage

! Annotation defaults.

XFaces.Annotation.font:         -*-helvetica-*-r-*--10-*

! Describe the annotations. A negative 'x' means pixels from the right edge
! of the face and a negitive 'y' is pixels up from the bottom.

! Here we specify what goes in each of the annotations for mail messages.
! Valid values are:
!       user            - The user part of the From address.
!       host            - The host part of the From address.
!       user@host       - The user and host parts of the From address.
!       count           - The number of messages represented by this face.
!       *header         - any value beginning with a '*' is expected to
!                         be a header name and the contents of that header
!                         will be displayed. For instance "*subject:" will
!                         display the subject line.

!  Try this in your .Xdefaults as an alternative annotation scheme.
! This will display the subject line across the bottom of faces and the
! count in the upper left corner.  If the face is an "unknown" face then
! the username will appear above the subject.
!
XFaces.annotationCount:                2
XFaces.annotation1.x:                  2
XFaces.annotation1.y:                  -1
XFaces.annotation1.maxWidth:           240
XFaces.annotation1.background:         CadetBlue
XFaces.annotation2.x:                  2
XFaces.annotation2.y:                  2
XFaces.annotation2.background:         CadetBlue
XFaces.mail.annotation1:               *subject:
XFaces.mail.annotation2:               count
XFaces.unknownAnnotationCount:         3
XFaces.unknownAnnotation1.x:           2
XFaces.unknownAnnotation1.y:           -1
XFaces.unknownAnnotation1.maxWidth:    240
XFaces.unknownAnnotation1.background:  CadetBlue
XFaces.unknownAnnotation2.x:           12
XFaces.unknownAnnotation2.y:           2
XFaces.unknownAnnotation2.background:  CadetBlue
XFaces.unknownAnnotation3.x:           1
XFaces.unknownAnnotation3.y:           -12
XFaces.unknownAnnotation3.maxWidth:    120
XFaces.unknownAnnotation3.background:  CadetBlue
XFaces.mail.unknownAnnotation1:        *subject:
XFaces.mail.unknownAnnotation2:        count
XFaces.mail.unknownAnnotation3:        user

Here's the xpm file:

/* XPM */
static char * Sherlock-shape_xpm[] = {
/* width height ncolors chars_per_pixel */
"50 50 10 1",
"   s None c None",
"`  c #000000",
"a  c #aa0055",
"b  c #555555",
"c  c #007fff",
"d  c #ffaa00",
"e  c #00aa55",
"g  c #ff0000",
"h  c #ffffff",
"i  c #ffff00",
/* pixels */
"                                                  ",
"                                                  ",
"                                                  ",
"                                                  ",
"                ``````                            ",
"               `gggege``                          ",
"              `eeeeeeeee``                        ",
"              `egggegegegg``                      ",
"              `eeeeeeeeeeeee`                     ",
"             `gegggegegegggeg`                    ",
"             `gegggegegegggeg`                    ",
"             ```gggegegegggege`                   ",
"            `ege`ggegegegggege`                   ",
"            `egeg`gegegegggege`                   ",
"            `eeeee`eeeeeeeeeee`                   ",
"           `gegegg`egegegggegeg`                  ",
"           `eeeeee```````````````                 ",
"           `gege````gegegggegege`                 ",
"           `ge``aga``gegegggegege`                ",
"           `g``agagag`gegegggegege`               ",
"           ```agagag`h``egegggegege`              ",
"          `eg`gagag`hhhh`egegggegeg`              ",
"         `eee`agaga`hhhhh`eeeeeeeee`              ",
"        `egeg`gagag`hhhhh``ggegggeg`              ",
"       `eeeee`agaga`hhhhh``````````               ",
"       `egegg`gagag`h```h``h```h`                 ",
"      `egeggg`agaga``````````````                 ",
"      `gegggg`gagag``````````````                 ",
"       `gggge`ag``a``````dd``````                 ",
"        ``````g`dd``d```dddd```d`                 ",
"             ``dddd`dddddddddddd`                 ",
"             `ddd```dddddddddddd`                 ",
"             `dd`dd``ddd`dddd`ddd`                ",
"     ` ``    ``d``````ddd`dddd`ddd`               ",
"   ` ```i`   ```i i i`dddd`dddd`dd`               ",
"  `i`````i`  ``i i ````dddddddddddd`              ",
"  ` ````i i```i i `ddd`ddddddddddddd`             ",
"   ` i i i ``i i i``````ddddddddddddd```          ",
"    ``` i i ` i i`     `dddddddddddddddd``        ",
"     ` i i i i i`a`    `dddddddddddddddddd``      ",
"      ` i i i i `g`    `dddddddddddddddddddd`     ",
"       ` i i i `ga`    `ddddddddddddddddddddd`    ",
"        ` i i``bcbc`  `dddddddddd````````ddddd`   ",
"         ````agabcb`  `dddddddd``     `dd``ddd`   ",
"          agagagaga`  `ddddddd`        `dd`dd`    ",
"        `agagagagag`   `dddd``          `ddd`     ",
"       `agagagagagag`   ````             ```      ",
"      `agagagagagagag`                            ",
"     `agagagagagagagag`                           ",
"                                                  "
} ;

Here's the xwd dump: